<?php require_once( 'couch/cms.php' ); ?>

<cms:template title='Icons'>
    <cms:editable name='single_icon' label='Single Icon' order='0' dynamic='opt_values' opt_values='font-awesome-icons.html' required='1' type='dropdown'/>

    <cms:repeatable name='multiple_icons' label='Multiple Icons' order='10'>
        <cms:editable name='multiple_icon' label='Icon' order='0' dynamic='opt_values' opt_values='font-awesome-icons.html' type='dropdown'/>
    </cms:repeatable>

    <cms:editable name='icons_assets' type='message' order='20'>
        <link href="addons/chosen/chosen.css" rel="stylesheet" type="text/css">
        <link href="<cms:show k_site_link/>font-awesome/css/font-awesome.min.css" rel="stylesheet">

        <style>
            #f_single_icon ~ .chosen-container,
            select[id$=-multiple_icon] ~ .chosen-container {
                width: 100% !important;
                min-width: 240px;
                font-family: FontAwesome, "Helvetica Neue", Arial, sans-serif;
                font-size: 14px;
                text-rendering: auto;
                -webkit-font-smoothing: antialiased;
                -moz-osx-font-smoothing: grayscale;
            }

            .chosen-container ~ .select-caret { display: none; }
            .chosen-container > a { font-weight: normal; }

            .tableholder { overflow: visible; }
        </style>

        <script src="addons/chosen/chosen.jquery.min.js"></script>

        <script>
            $(function() {
                $("#f_single_icon, #f_multiple_icons select[id$=-multiple_icon]").chosen();

                $("#addRow_f_multiple_icons").on("click", function() {
                    $("#f_multiple_icons select[id$=-multiple_icon]:last").chosen();
                });
            });
        </script>
    </cms:editable>
</cms:template>

<?php COUCH::invoke(); ?>
